Skip to main content

Get list of expense documents.

GET 

/api/documents

This API endpoint has been purposefully crafted to get expense documents list.

Request

Query Parameters

    includeExternalIntegrations boolean

    Include externalIntegrations field in response items.

    page integer

    Default value: 1

    The collection page number

    itemsPerPage integer

    Possible values: <= 500

    Default value: 30

    The number of items per page

    pagination boolean

    Enable or disable pagination

    createdAt[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    createdAt[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    createdAt[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    createdAt[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    order[createdAt] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

    order[id] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

Responses

OK - The request was processed successfully.

Schema
    any
Loading...